import { BuilderContext } from '@angular-devkit/architect';
import { BrowserBuilderOptions, BrowserBuilderOutput, ExecutionTransformer } from '@angular-devkit/build-angular';
import { IndexHtmlTransform } from '@angular-devkit/build-angular/src/utils/index-file/index-html-generator';
import { WebpackLoggingCallback } from '@angular-devkit/build-webpack';
import { json } from '@angular-devkit/core';
import webpack from 'webpack';
import { Observable } from 'rxjs';
import { NgsscBuildSchema } from '../ngsscbuild/index';
export type NgsscBrowserBuilderOptions = BrowserBuilderOptions & NgsscBuildSchema;
/**
 * Experimental wrapper of the @angular-devkit/build-angular:browser builder for ngssc.
 */
export declare function ngsscBuildWebpackBrowser(options: NgsscBrowserBuilderOptions, context: BuilderContext, transforms?: {
    webpackConfiguration?: ExecutionTransformer<webpack.Configuration>;
    logging?: WebpackLoggingCallback;
    indexHtml?: IndexHtmlTransform;
}): Observable<BrowserBuilderOutput>;
declare const _default: import("@angular-devkit/architect/src/internal").Builder<json.JsonObject & BrowserBuilderOptions & import("../ngsscbuild/schema").Schema>;
export default _default;
