import { BuilderContext } from '@angular-devkit/architect';
import { DevServerBuilderOptions, DevServerBuilderOutput, ExecutionTransformer } from '@angular-devkit/build-angular';
import { IndexHtmlTransform } from '@angular-devkit/build-angular/src/utils/index-file/index-html-generator';
import { WebpackLoggingCallback } from '@angular-devkit/build-webpack';
import webpack from 'webpack';
import { Observable } from 'rxjs';
import { NgsscBuildSchema } from '../ngsscbuild/index';
export type NgsscDevServerBuilderOptions = DevServerBuilderOptions & NgsscBuildSchema;
/**
 * Ngssc wrapper for the Angular Webpack development server builder.
 * @param options Dev Server options.
 * @param context The build context.
 * @param transforms A map of transforms that can be used to hook into some logic (such as
 *     transforming webpack configuration before passing it to webpack).
 *
 * @experimental Direct usage of this function is considered experimental.
 */
export declare function ngsscServeWebpackBrowser(options: NgsscDevServerBuilderOptions, context: BuilderContext, transforms?: {
    webpackConfiguration?: ExecutionTransformer<webpack.Configuration>;
    logging?: WebpackLoggingCallback;
    indexHtml?: IndexHtmlTransform;
}): Observable<DevServerBuilderOutput>;
declare const _default: import("@angular-devkit/architect/src/internal").Builder<DevServerBuilderOptions & import("../ngsscbuild/schema").Schema & import("@angular-devkit/core").JsonObject>;
export default _default;
