import { BuilderContext } from '@angular-devkit/architect';
import { ApplicationBuilderOptions, BrowserBuilderOptions } from '@angular-devkit/build-angular';
import { json } from '@angular-devkit/core';
import { Ngssc } from 'angular-server-side-configuration';
import { Schema } from './schema';
import { NgsscContext } from './ngssc-context';
export type NgsscBuildSchema = Schema;
type BuilderOptions = ApplicationBuilderOptions | BrowserBuilderOptions;
type ApplicationBuilderVariant = undefined | 'browser-only' | 'server';
export declare function ngsscBuild(options: NgsscBuildSchema, context: BuilderContext): Promise<import("@angular-devkit/architect").BuilderOutput>;
export declare function detectVariablesAndBuildNgsscJson(options: NgsscBuildSchema, builderOptions: BuilderOptions, context: BuilderContext, multiple?: boolean, applicationBuilderVariant?: ApplicationBuilderVariant): Promise<void>;
export declare function detectVariables(context: BuilderContext, searchPattern?: string | null): Promise<NgsscContext>;
export declare function buildNgssc(ngsscContext: NgsscContext, options: NgsscBuildSchema, builderOptions?: BuilderOptions, multiple?: boolean, applicationBuilderVariant?: ApplicationBuilderVariant): Ngssc;
declare const _default: import("@angular-devkit/architect/src/internal").Builder<Schema & json.JsonObject>;
export default _default;
